<?php
$cart_items = edd_get_cart_contents();
?>

<?php if ( $cart_items ) :
	$post_ids = wp_list_pluck( $cart_items, 'id' );
	$user_id = ( is_user_logged_in() ) ? get_current_user_id() : false;
	$suggestion_data = edd_rp_get_multi_suggestions( $post_ids, $user_id );

	if ( is_array( $suggestion_data ) && !empty( $suggestion_data ) ) :
	$suggestions = array_keys( $suggestion_data );

	$suggested_downloads = new WP_Query( array( 'post__in' => $suggestions, 'post_type' => 'download' ) );

	if ( $suggested_downloads->have_posts() ) :
		$cart_items_text = esc_html__n( esc_html__( 'this item', 'focus-stock' ), esc_html__( 'these items', 'focus-stock' ), count( $post_ids ), 'focus-stock' );
		?>
		<div id="edd-rp-checkout-wrapper">
			<h5 id="edd-rp-checkout-header"><?php echo sprintf( esc_html__( 'Users who purchased %s, also purchased:', 'focus-stock' ), $cart_items_text ); ?></h5>
			<div id="edd-rp-items-wrapper" class="edd-rp-checkout">
				<?php while ( $suggested_downloads->have_posts() ) : ?>
					<?php $suggested_downloads->the_post();	?>
					<div class="edd-rp-item <?php echo ( !current_theme_supports( 'post-thumbnails' ) ) ? 'edd-rp-nothumb' : ''; ?>">
						<?php do_action( 'edd_rp_item_before' ); ?>

						<a href="<?php the_permalink(); ?>">
							<?php if ( current_theme_supports( 'post-thumbnails' ) && has_post_thumbnail( get_the_ID() ) ) :?>
								<div class="edd_cart_item_image">
									<?php echo get_the_post_thumbnail( get_the_ID(), apply_filters( 'edd_checkout_image_size', array( 666,500 ) ) ); ?>
								</div>
							<?php else: ?>
								<br />
							<?php endif; ?>

							<?php the_title( '<span class="edd-rp-item-title">', '</span>' ); ?>

							<?php do_action( 'edd_rp_item_after_title' ); ?>
						</a>

						<?php do_action( 'edd_rp_item_after_thumbnail' ); ?>

						<?php if ( ! edd_has_variable_prices( get_the_ID() ) ) : ?>
							<?php edd_price( get_the_ID() ); ?>
						<?php endif; ?>

						<?php do_action( 'edd_rp_item_after_price' ); ?>

						<?php
						$purchase_link_args = array(
							'download_id' => get_the_ID(),
							'price' => false,
							'direct' => false,
						);
						$purchase_link_args = apply_filters( 'edd_rp_purchase_link_args', $purchase_link_args );
						echo edd_get_purchase_link( $purchase_link_args );
						?>

						<?php do_action( 'edd_rp_item_after' ); ?>
					</div>
				<?php endwhile; ?>
			</div>
		</div>
	<?php endif; ?>

	<?php wp_reset_postdata(); ?>

	<?php endif; ?>

<?php endif; ?>
