<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Focus_Stock
 */

$download = edd_get_download( get_the_ID() );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php
		$header_image = focus_stock_featured_overall_image();

		if ( 'disable' === $header_image ) : ?>

		<header class="entry-header">
			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

			<?php
			if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<?php focus_stock_posted_on(); ?>
			</div><!-- .entry-meta -->
			<?php
			endif; ?>
		</header><!-- .entry-header -->

	<?php endif; ?>
	<?php focus_stock_single_image(); ?>

	<div class="entry-content">
		<div class="edd-single-product-container">
			<?php if ( has_post_thumbnail() ) : ?>
			<div class="edd-product-gallery">
				<a href="<?php the_post_thumbnail_url(); ?>" class="mixed edd-product-gallery__trigger">
					<i class="fa fa-search"></i>
				</a>

				<div class="edd-product-gallery__wrapper">
					<div id="zoomImg" class="edd-product-gallery__image easyzoom easyzoom--adjacent">
						<a href="<?php the_post_thumbnail_url( array( 1920, 1440 ) ); ?>"><?php the_post_thumbnail( array( 720, 540 ) ); ?></a>
					</div><!-- #zoomImg -->
				</div><!-- .edd-product-gallery__wrapper -->
			</div><!-- .edd-product-gallery -->
			<?php endif; ?>

			<div class="edd-product-summary">
				<?php the_title( '<h2 class="product-title">', '</h2>' ); ?>
				
				<p class="price">
					<span class="edd-price-amount">
						<?php 
						if ( edd_has_variable_prices( get_the_ID() ) ) {
							echo edd_price_range( get_the_ID() );
						} else {
							edd_price( get_the_ID() );
						}
						?>
					</span>
				</p>
				<div class="edd-product-details__short-description">
					<?php the_content(); ?>
				</div>

				<div class="edd-vendor-detail">
					<div class="edd-author">
						<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" title="<?php echo esc_attr( get_the_author() ); ?>" class="vendor-avatar">
							<?php
							/**
							 * Filter the Focus Stock author bio avatar size.
							 *
							 * @since 1.0.0
							 *
							 * @param int $size The avatar height and width size in pixels.
							 */
							$author_bio_avatar_size = apply_filters( 'focus_stock_author_bio_avatar_size', 70 );

							echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
							?>
						</a>
						
						<h2 class="author-title"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" title="<?php echo esc_attr( get_the_author() ); ?>"><?php the_author(); ?></a></h2>
					</div>
					<div class="edd-author-description">
						<?php focus_stock_cat_list(); ?>
						<p>Product ID: 536</p>
					</div>
				</div>

				</form>

			</div>
			<div class="edd-tabs">
				<div id="tabs">
					<ul>
						<li><a href="#tabs-1"><?php apply_filters( 'focus_stock_additional_information_title_default', esc_html_e( 'Additional Information', 'focus-stock' ) ); ?></a></li>
						<?php if ( class_exists( 'EDD_Reviews' ) ) : ?><li><a href="#reviews-tab"><?php apply_filters( 'focus_stock_review_title_default', esc_html_e( 'Reviews', 'focus-stock' ) ); ?></a></li><?php endif; ?>
						<li><a href="#tabs-3">Aenean lacinia</a></li>
					</ul>
					
					<div id="tabs-1">
						<p><?php echo esc_html( $post->post_excerpt ); ?></p>
					</div>

					<?php if ( class_exists( 'EDD_Reviews' ) ) : ?>
					<div id="reviews-tab">
						<?php edd_get_template_part( 'reviews' ); ?>
					</div>
					<?php endif; ?>

					<div id="tabs-3">
						<h2>Additional Information</h2>
					<p>Mauris eleifend est et turpis. Duis id erat. Suspendisse potenti. Aliquam vulputate, pede vel vehicula accumsan, mi neque rutrum erat, eu congue orci lorem eget lorem. Vestibulum non ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce sodales. Quisque eu urna vel enim commodo pellentesque. Praesent eu risus hendrerit ligula tempus pretium. Curabitur lorem enim, pretium nec, feugiat nec, luctus a, lacus.</p>
					<p>Duis cursus. Maecenas ligula eros, blandit nec, pharetra at, semper at, magna. Nullam ac lacus. Nulla facilisi. Praesent viverra justo vitae neque. Praesent blandit adipiscing velit. Suspendisse potenti. Donec mattis, pede vel pharetra blandit, magna ligula faucibus eros, id euismod lacus dolor eget odio. Nam scelerisque. Donec non libero sed nulla mattis commodo. Ut sagittis. Donec nisi lectus, feugiat porttitor, tempor ac, tempor vitae, pede. Aenean vehicula velit eu tellus interdum rutrum. Maecenas commodo. Pellentesque nec elit. Fusce in lacus. Vivamus a libero vitae lectus hendrerit hendrerit.</p>
					</div>
				</div>
			</div>
		</div>
	</div><!-- .entry-content -->
</article><!-- #post-<?php the_ID(); ?> -->

<?php edd_rp_display_single(); ?>
