<?php
/**
 * The template for displaying featured content
 *
 * @package Focus_Stock
 */

$focus_stock_enable_content = get_theme_mod( 'focus_stock_featured_content_option', 'disabled' );

if ( ! focus_stock_check_section( $focus_stock_enable_content ) ) {
	// Bail if featured content is disabled.
	return;
}

$focus_stock_title   = get_option( 'featured_content_title', esc_html__( 'Contents', 'focus-stock' ) );
$focus_stock_tagline = get_option( 'featured_content_content' );

$layout = 'layout-three';

$focus_stock_classes[] = $layout;
$focus_stock_classes[] = 'featured-content';
$focus_stock_classes[] = 'section';

if( ! $focus_stock_title && ! $focus_stock_tagline ) {
	$focus_stock_classes[] = 'no-section-heading';
}
?>

<div id="featured-content-section" class="<?php echo esc_attr( implode( ' ', $focus_stock_classes ) ); ?>">
	<div class="wrapper">
		<?php focus_stock_section_heading( $focus_stock_tagline, $focus_stock_title ); ?>

		<div class="section-content-wrapper featured-content-wrapper layout-three">
			<?php
			get_template_part( 'template-parts/featured-content/content-featured' );
			?>
		</div><!-- .section-content-wrap -->
	</div><!-- .wrapper -->
</div><!-- #featured-content-section -->
