<?php
/**
 * The template for displaying portfolio items
 *
 * @package Focus_Stock
 */
?>

<?php
$enable = get_theme_mod( 'focus_stock_portfolio_option', 'disabled' );

if ( ! focus_stock_check_section( $enable ) ) {
	// Bail if portfolio section is disabled.
	return;
}

$focus_stock_tagline = get_option( 'jetpack_portfolio_content' );
$focus_stock_title   = get_option( 'jetpack_portfolio_title', esc_html__( 'Projects', 'focus-stock' ) );
?>

<div id="portfolio-content-section" class="layout-four jetpack-portfolio section page">
	<div class="wrapper">
		<?php focus_stock_section_heading( $focus_stock_tagline, $focus_stock_title ); ?>

		<div class="section-content-wrapper portfolio-content-wrapper layout-four">
			<div class="grid">
				<?php get_template_part( 'template-parts/portfolio/post-types', 'portfolio' ); ?>
			</div>
		</div><!-- .section-content-wrap -->
	</div><!-- .wrapper -->
</div><!-- #portfolio-section -->
