<?php
/**
 * The template for displaying portfolio items
 *
 * @package Focus_Stock
 */
$focus_stock_number = get_theme_mod( 'focus_stock_portfolio_number', 6 );

if ( ! $focus_stock_number ) {
	// If number is 0, then this section is disabled
	return;
}

$focus_stock_args = array(
	'ignore_sticky_posts' => 1 // ignore sticky posts
);

$focus_stock_post_list  = array();// list of valid post/page ids

$focus_stock_no_of_post = 0; // for number of posts

$focus_stock_args['post_type'] = 'jetpack-portfolio';

for ( $focus_stock_i = 1; $focus_stock_i <= $focus_stock_number; $focus_stock_i++ ) {
	$focus_stock_post_id = '';

	$focus_stock_post_id =  get_theme_mod( 'focus_stock_portfolio_cpt_' . $focus_stock_i );

	if ( $focus_stock_post_id && '' !== $focus_stock_post_id ) {
		// Polylang Support.
		if ( class_exists( 'Polylang' ) ) {
			$focus_stock_post_id = pll_get_post( $focus_stock_post_id, pll_current_language() );
		}

		$focus_stock_post_list = array_merge( $focus_stock_post_list, array( $focus_stock_post_id ) );

		$focus_stock_no_of_post++;
	}
}

$focus_stock_args['post__in'] = $focus_stock_post_list;
$focus_stock_args['orderby'] ='post__in';

if ( 0 === $focus_stock_no_of_post ) {
	return;
}

$focus_stock_args['posts_per_page'] = $focus_stock_no_of_post;
$focus_stock_loop     = new WP_Query( $focus_stock_args );

$focus_stock_slider_select = get_theme_mod( 'focus_stock_portfolio_slider', 1 );

if ( $focus_stock_loop -> have_posts() ) :
	while ( $focus_stock_loop -> have_posts() ) :
		$focus_stock_loop -> the_post();

		get_template_part( 'template-parts/portfolio/content', 'portfolio' );

	endwhile;
	wp_reset_postdata();
endif;
