<?php
/**
 * The template for displaying service posts on the front page
 *
 * @package Focus_Stock
 */

$focus_stock_number        = get_theme_mod( 'focus_stock_service_number', 3 );

$focus_stock_post_list  = array();
$focus_stock_no_of_post = 0;

$focus_stock_args = array(
	'post_type'           => 'post',
	'ignore_sticky_posts' => 1, // ignore sticky posts.
);


$focus_stock_args['post_type'] = 'ect-service';

for ( $i = 1; $i <= $focus_stock_number; $i++ ) {
	$focus_stock_post_id = '';

	$focus_stock_post_id = get_theme_mod( 'focus_stock_service_cpt_' . $i );

	if ( $focus_stock_post_id ) {
		$focus_stock_post_list = array_merge( $focus_stock_post_list, array( $focus_stock_post_id ) );

		$focus_stock_no_of_post++;
	}
}

	$focus_stock_args['post__in'] = $focus_stock_post_list;
	$focus_stock_args['orderby']  = 'post__in';

$focus_stock_args['posts_per_page'] = $focus_stock_no_of_post;

if ( ! $focus_stock_no_of_post ) {
	return;
}

$focus_stock_loop = new WP_Query( $focus_stock_args );

while ( $focus_stock_loop->have_posts() ) :
	
	$focus_stock_loop->the_post();
	?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="hentry-inner">
			<?php focus_stock_post_thumbnail( array( 76, 76 ), 'html', true ); ?>

			<div class="entry-container">
				<header class="entry-header">
					<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">','</a></h2>' ); ?>
				</header>

				<?php
				$excerpt = get_the_excerpt();
				echo '<div class="entry-summary"><p>' . $excerpt . '</p></div><!-- .entry-summary -->';
				 ?>
			</div><!-- .entry-container -->
		</div> <!-- .hentry-inner -->
	</article> <!-- .article -->
	<?php
endwhile;

wp_reset_postdata();
