<?php
/**
 * The template for displaying service content
 *
 * @package Focus_Stock
 */

$focus_stock_enable_content = get_theme_mod( 'focus_stock_service_option', 'disabled' );

if ( ! focus_stock_check_section( $focus_stock_enable_content ) ) {
	// Bail if service content is disabled.
	return;
}

$focus_stock_tagline = get_option( 'ect_service_content' );
$focus_stock_title    = get_option( 'ect_service_title', esc_html__( 'Services', 'focus-stock' ) );

$focus_stock_classes[] = 'service-section';
$focus_stock_classes[] = 'section';

if ( ! $focus_stock_title && ! $focus_stock_tagline ) {
	$focus_stock_classes[] = 'no-section-heading';
}

$focus_stock_bg = get_theme_mod( 'focus_stock_service_bg_image' );

if ( $focus_stock_bg ) {
	$focus_stock_classes[] = 'has-background-image';
}
?>

<div id="service-section" class="<?php echo esc_attr( implode( ' ', $focus_stock_classes ) ); ?>">
	<div class="wrapper">
		<?php focus_stock_section_heading( $focus_stock_tagline, $focus_stock_title ); ?>

		<div class="section-content-wrapper service-content-wrapper layout-three">
			<?php
			get_template_part( 'template-parts/service/content-service' );
			?>

		</div><!-- .section-content-wrapper -->
	</div><!-- .wrapper -->
</div><!-- #service-section -->
