<?php
/**
 * The template used for displaying slider
 *
 * @package Focus_Stock
 */

$focus_stock_quantity              = get_theme_mod( 'focus_stock_slider_number', 4 );
$focus_stock_no_of_post            = 0; // for number of posts
$focus_stock_post_list             = array(); // list of valid post/page ids

$focus_stock_args = array(
	'ignore_sticky_posts' => 1, // ignore sticky posts
);

$focus_stock_args['post_type'] =  'page';

for ( $i = 1; $i <= $focus_stock_quantity; $i++ ) {
	$focus_stock_id = '';

	$focus_stock_id = get_theme_mod( 'focus_stock_slider_page_' . $i );

	if ( $focus_stock_id && '' !== $focus_stock_id ) {
		$focus_stock_post_list = array_merge( $focus_stock_post_list, array( $focus_stock_id ) );

		$focus_stock_no_of_post++;
	}
}

$focus_stock_args['post__in'] = $focus_stock_post_list;
$focus_stock_args['orderby'] = 'post__in';

if ( ! $focus_stock_no_of_post ) {
	return;
}

$focus_stock_args['posts_per_page'] = $focus_stock_no_of_post;
$focus_stock_loop = new WP_Query( $focus_stock_args );

while ( $focus_stock_loop->have_posts() ) :
	$focus_stock_loop->the_post();

	$focus_stock_classes = 'post post-' . get_the_ID() . ' hentry slides';

	?>
	<article class="<?php echo esc_attr( $focus_stock_classes ); ?>">
		<div class="hentry-inner">
			<?php focus_stock_post_thumbnail( 'focus-stock-slider', 'html', true, true ); ?>

			<div class="entry-container">
				<header class="entry-header">
					<h2 class="entry-title">
						<a title="<?php the_title_attribute(); ?>" href="<?php the_permalink(); ?>">
							<?php the_title(); ?>
						</a>
					</h2>
				</header>

				<?php
				echo '<div class="entry-summary"><p>' . wp_kses_post( get_the_excerpt() ) . '</p></div><!-- .entry-summary -->';
				?>
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article><!-- .slides -->
<?php
endwhile;

wp_reset_postdata();
