<?php
/**
 * The template for displaying testimonial items
 *
 * @package Focus_Stock
 */

$focus_stock_enable = get_theme_mod( 'focus_stock_testimonial_option', 'disabled' );

if ( ! focus_stock_check_section( $focus_stock_enable ) ) {
	// Bail if featured content is disabled
	return;
}

// Get Jetpack options for testimonial.
$focus_stock_jetpack_defaults = array(
	'page-title' => esc_html__( 'Testimonials', 'focus-stock' ),
);

$focus_stock_title   = get_theme_mod( 'focus_stock_testimonial_title', esc_html__( 'Testimonials', 'focus-stock' ) );
$focus_stock_tagline = get_theme_mod( 'focus_stock_testimonial_tagline' );

$focus_stock_classes[] = 'section testimonial-content-section';

if ( ! $focus_stock_title && ! $focus_stock_tagline ) {
	$focus_stock_classes[] = 'no-section-heading';
}

$focus_stock_classes[] = 'nav-dots-disabled';
?>

<div id="testimonial-content-section" class="<?php echo esc_attr( implode( ' ', $focus_stock_classes ) ); ?>">
	<div class="wrapper">

	<?php focus_stock_section_heading( $focus_stock_tagline, $focus_stock_title ); ?>

	<?php get_template_part( 'template-parts/testimonial/post-types-testimonial' ); ?>
	</div><!-- .wrapper -->
</div><!-- .testimonial-content-section -->
